Subject: RE: floating-point under ppc/linux

From: Giuliano Pochini <[email-masked]>
Date: Tue, 30 Oct 2001 12:38:00 +0100 (CET)

> In other words, if a program blocks SIGFPE, does something that
> generates a floating-point exception, then clears the exception status
> in FPSCR, then unblocks SIGFPE, should it get a SIGFPE signal
> delivered to it at that point ?

AFAIK posix says that blocked signals have to be queued (at least one
of them) and that signals have to be delivered when those signals are
unblocked. I don't know if it makes sense about hardware signals, but
that's the spec.

I agree with the signal modes you proposed, but you should also
allow the user to set the 11 mode in some way. Debuggers could need that.

Bye.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/